astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- Trapezoid1D

# Trapezoid1D

class `astropy.modeling.functional_models.``Trapezoid1D`

  Bases: `astropy.modeling.Fittable1DModel`

  One dimensional Trapezoid model.

  Parameters:

  amplitude : float

  > Amplitude of the trapezoid

  x_0 : float

  > Center position of the trapezoid

  width : float

  > Width of the constant part of the trapezoid.

  slope : float

  > Slope of the tails of the trapezoid

  Other Parameters:

  fixed : a dict

  > A dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.

  tied : dict

  > A dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.

  bounds : dict

  > A dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.

  eqcons : list

  > A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.

  ineqcons : list

  > A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  See also

  `Box1D`, `Gaussian1D`, `Moffat1D`

  Attributes Summary

  `amplitude` |
  `param_names` |
  `slope` |
  `width` |
  `x_0` |

  Methods Summary

  `evaluate`(x, amplitude, x_0, width, slope) | One dimensional Trapezoid model function

  Attributes Documentation

  `amplitude`
  `param_names` = ('amplitude', 'x_0', 'width', 'slope')
  `slope`
  `width`
  `x_0`

  Methods Documentation

  static `evaluate`(x, amplitude, x_0, width, slope)

    One dimensional Trapezoid model function